Bug 274811 - restrict video mode within ES1000's capability
restrict video mode within ES1000's capability
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Desktop QE
: Triaged
Depends On:
Blocks: 928722
  Show dependency treegraph
Reported: 2007-09-02 22:41 EDT by LisaWu
Modified: 2013-09-30 20:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-30 20:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
add pixel clock check while validate mode for digital monitors (3.32 KB, patch)
2007-09-02 22:41 EDT, LisaWu
no flags Details | Diff

  None (edit)
Description LisaWu 2007-09-02 22:41:49 EDT
Description of problem:
When connect a digital monitor which supports max 1600x1200 resolution, radeon 
driver will set 1600x1200@24bit mode for output, however, this mode is out of 
ES1000's capacity. video corruption will occur in this case.

How reproducible:

Steps to Reproduce:
1. install RHEL5
2. connect a digital monitor with max 1600x1200 resolution
3. startX
Actual results:
video corruption will occur

Additional info:
Radeon driver has its own mode validation routine for digital monitors, this 
routine forget to check clock limations for output mode.we add clock range 
check in this routine to restrict output mode within chip's capability.
Comment 1 LisaWu 2007-09-02 22:41:49 EDT
Created attachment 184951 [details]
add pixel clock check while validate mode for digital monitors
Comment 5 Jerome Glisse 2013-04-16 15:38:29 EDT
Patch already applied for https://bugzilla.redhat.com/show_bug.cgi?id=554414 should already solve the issue.
Comment 9 errata-xmlrpc 2013-09-30 20:40:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.